# OMPL Plannification: /home/blue/GitLab Repo/OMPL_Planning/Source Files/mapping_planning_tutorial/control_turtlebot/src/OMPL_Planning/OMPL_Planner/OMPL_Planner.hpp File Reference

OMPL_Planner.hpp File Reference

Path planning (without differential constraints) using OMPL with Octomap to represent workspace and to validate if configurations are collision-free. More...

`#include <ompl/geometric/SimpleSetup.h>`
`#include <ompl/geometric/planners/cforest/CForest.h>`
`#include <ompl/geometric/planners/rrt/RRTstar.h>`
`#include <ompl/base/spaces/SE3StateSpace.h>`
`#include <ompl/base/spaces/SE2StateSpace.h>`
`#include "StateChecker.hpp"`
Include dependency graph for OMPL_Planner.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OMPL_Planner
| Class for planner for 2D and 3D planning. More...

## Detailed Description

Path planning (without differential constraints) using OMPL with Octomap to represent workspace and to validate if configurations are collision-free.

Author
  Harlé Antoine (antoi.nosp@m.ne.h.nosp@m.@flyl.nosp@m.ab.i.nosp@m.o)

Date
  7/2017 - 8/2017

Definition in file OMPL_Planner.hpp.